## Bsoft program

# bseq

### Usage: bseq [options] input.seq output.seq

Manipulates DNA and protein sequences.

### Actions:

-show | Show all DNA and protein sequences after other operations.
-Mass | Show the calculated mass for each sequence.
-complement | Complement all DNA sequences before other operations.
-translate 1 | Translate all DNA sequences with this frame (0,1,2).
-finddna ggattcga | DNA sequence to look for in DNA sequences.
-findprotein fghwereaas | Protein sequence to look for in protein sequences.
-findcoding aklsdrtv | Coding sequence to look for in DNA sequences.
| Can be a file name with a protein sequence.

### Parameters:

-verbose 7 | Verbosity of output.
-nogaps | Strip gaps from input sequences.
-length 1100,1500 | Sequence length range to select for.
-number 10,14 | Number of residues on either side to include in output.
-threshold 50 | Threshold percentage to report hits (default only best hit).

### Input:

-geneticcode file.star | Genetic code file (default = internal values).

Bsoft version 2.0.3-20180917 (64 bit)